.column {
  flex: 1;
  margin: 0.5rem;
  position: relative;
  z-index: 1;
  border-radius: 0.5rem;
  border: 1px solid #dadce0;
  transition: box-shadow 0.2s ease;

  &:hover {
    box-shadow: 0 3px 1px -2px rgb(0 0 0 / 20%), 0 2px 2px 0 rgb(0 0 0 / 14%), 0 1px 5px 0 rgb(0 0 0 / 12%);

  }

  &.editing {
    border: 2px solid #699FF0;
    box-shadow: 0 3px 20px -6px rgba(105, 159, 240, 0.7), 0 2px 2px 0 rgba(105, 173, 240, 0.5), 0 1px 5px 0 rgba(105, 240, 240, 0.5);

    &.draggedOver {
      box-shadow: inset 0 3px 20px -6px rgba(105, 159, 240, 0.7), 0 2px 2px 0 rgba(105, 173, 240, 0.5), 0 1px 5px 0 rgba(105, 240, 240, 0.5);
    }

  }

  .locked-overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: #000000;
    opacity: 0.05;
  }

  &.completed {
    border: 2px solid #69f0ae;
    box-shadow: 0 3px 20px -6px rgb(105 240 174 / 70%), 0 2px 2px 0 rgb(105 240 174 / 50%), 0 1px 5px 0 rgb(105 240 174 / 50%);
  }

  &.locked {
    color: rgba(16, 16, 16, 0.3);
  }

  &.error {
    border: 2px solid #ff0000;
    box-shadow: 0 3px 20px -6px rgb(255 0 0 / 70%), 0 2px 2px 0 rgb(255 0 0 / 50%), 0 1px 5px 0 rgb(255 0 0 / 50%);

    &.draggedOver {
      box-shadow: inset 0 3px 20px -6px rgba(105, 159, 240, 0.7), 0 2px 2px 0 rgba(105, 173, 240, 0.5), 0 1px 5px 0 rgba(105, 240, 240, 0.5);
    }
  }

  &-header {
    display: flex;
    justify-content: space-between;
    padding: 2.5rem 1rem 1.5rem 1rem;
    min-height: 2.5rem;
    &-text {
      flex: 1;
      display: flex;
      align-items: center;

      h2 {
        font-size: 1.1rem;
        font-weight: 500;
        margin: 0;
      }
    }

    &-icon {
      display: flex;
      align-items: center;
    }

    &-menu {
      flex: 1;
    }
  }

  &-content {
    padding: 1rem;
  }
}